Subject: Re: [PATCH] invalid instructions in kernel mode

From: Kumar Gala <[email-masked]>
Date: Mon, 11 Apr 2005 10:39:20 -0500

Ok,

After some debug on Friday and this weekend I understand what's going 
on.  The reason we hit the code path in the kernel is due to the fact 
that we are actually executing an integer load/store that is 
misaligned, however when we read the instruction from memory we get a 
float point instruction.  This is due to the fact that test app is not 
properly handling its self generated code.

Note, I was testing with math-emu turned on.

It seems to me that when we introduce CONFIG_PPC_FPU that we ifdef 
around the code and return 0 in the 44x/e500 cases w/o FPUs

- kumar

On Apr 8, 2005, at 12:36 PM, Fillod Stephane wrote:

> Kumar Gala wrote:
>  > Are you running this via a ramdisk or nfs?  If ramdisk can you post 
> it
>
> > somewhere that I can get to?
>
> I'm running via NFS.
>
> > Also, can you email the list with the kernel oops that shows up.
>
> I'll do that next week.
>
> Anyway, reading the source suffices to realize there's a problem when
> MATH_EMULATION is disabled on a FPU-less system with user programs
> using load/store fp instructions.
>
> -- 
> Stephane